## coverxygen 1.8.1ppa1~jammy

=== Makefile ===
INPUT_SRC=$(shell find . -name '*.py' | grep -v test_)
INPUT_TEST=$(shell find . -name 'test_*.py')
PKG_NAME=coverxygen
PKG_VERSION=$(shell python3 -c 'import $(PKG_NAME); print($(PKG_NAME).__version__);')

all: dev

# dev tty

dev: dev-doc dev-check dev-pylint dev-coverage

dev-doc:
# 	@echo "---------------"
# 	@echo " Documentation "
# 	@echo "---------------"
# 	@make -C docs vhtml
# 	@echo ""

dev-check: $(SOURCES)
	@echo "-----------"
	@echo " Unittests "
	@echo "-----------"
	@./devtools/unittests.py -v
	@echo ""

dev-pylint:
	@echo "--------"
	@echo " PyLint "
	@echo "--------"
	@./devtools/xtdlint.py --rcfile=.pylintrc --reports=no -j4 coverxygen -f parseable || true
	@echo ""

dev-coverage:
	@echo "--------"
	@echo " Coverage "
	@echo "--------"
	@./devtools/coverage.sh python3
	@python3 -m coverage report
	@echo ""

# report

report: report-coverage report-doc report-pylint report-check

report-coverage: build/coverage/index.html
build/coverage/index.html: $(INPUT_SRC) $(INPUT_TEST) Makefile
	@echo "generating coverage report ..."
	@mkdir -p $(dir $@)
	@./devtools/coverage.sh python3 2> /dev/null
	@python3 -m coverage html -d $(dir $@)
	@echo "generating coverage report ... done"

report-pylint: build/pylint/index.html
build/pylint/index.html: $(INPUT_SRC) .pylintrc Makefile
	@echo "generating pylint report ..."
	@mkdir -p $(dir $@)
	@./devtools/xtdlint.py --rcfile=.pylintrc -j4 coverxygen -f html > $@ || true
	@echo "generating pylint report ... done"

report-doc: #build/docs/html/xtd.html
# build/docs/html/xtd.html:  $(INPUT_SRC) Makefile docs/conf.py
# 	@echo "generating documentation ..."
# 	@mkdir -p $(dir $@)
# 	@make -C docs -s html > /dev/null
# 	@echo "generating documentation ... done"

report-check: build/unittests/index.json
build/unittests/index.json:  $(INPUT_SRC) $(INPUT_TEST) Makefile
	@echo "generating unittests report ..."
	@mkdir -p $(dir $@)
	@./devtools/unittests.py --format json -v | json_pp > $@
	@echo "generating unittests report ... done"

# dist

dist: dist/$(PGK_NAME)-$(PKG_VERSION).tar.gz
dist/$(PGK_NAME)-$(PKG_VERSION).tar.gz: $(INPUT_SRC) setup.py setup.cfg
	@./setup.py sdist

# show

show: show-coverage show-doc show-check show-pylint
show-coverage: build/coverage/index.html
	@sensible-browser $< &
show-doc: #build/docs/html/xtd.html
# 	@sensible-browser $< &
show-check: build/unittests/index.json
	@sensible-browser $< &
show-pylint: build/pylint/index.html
	@sensible-browser $< &

# clean

clean: clean-doc clean-coverage clean-check clean-pylint clean-dist
# clean-doc:
# 	@rm -rf build/docs docs/xtd*.rst
clean-coverage:
	@rm -rf build/coverage
clean-check:
	@rm -rf build/unittests
clean-pylint:
	@rm -rf build/pylint
clean-dist:
	@rm -rf dist/ $(PKG_NAME).egg-info

=== debian/changelog ===
coverxygen (1.8.1ppa1~jammy) jammy; urgency=medium

  * fix markdown output

 -- Xavier MARCELET <xavier@marcelet.com>  Mon, 19 Jun 2023 19:48:00 +0200

coverxygen (1.8.1ppa1~focal) focal; urgency=medium

  * fix markdown output

 -- Xavier MARCELET <xavier@marcelet.com>  Mon, 19 Jun 2023 19:48:00 +0200

coverxygen (1.8.0ppa2~jammy) jammy; urgency=medium

  * add support for jammy

 -- Xavier MARCELET <xavier@marcelet.com>  Sun, 18 Jun 2023 14:55:00 +0200

coverxygen (1.8.0ppa2~focal) focal; urgency=medium

  * add support for jammy

 -- Xavier MARCELET <xavier@marcelet.com>  Sun, 18 Jun 2023 14:55:00 +0200

coverxygen (1.7.0ppa1~focal) focal; urgency=medium

  * drop support for python2.7

 -- Xavier MARCELET <xavier@marcelet.com>  Tue, 23 Nov 2021 14:55:00 +0200

coverxygen (1.3.1ppa1~xenial) xenial; urgency=medium

  * fix generated value when item is undocumented

 -- Xavier MARCELET <xavier@marcelet.com>  Mon, 02 Jul 2018 13:26:17 +0200

coverxygen (1.3.1ppa1~trusty) xenial; urgency=medium

  * fix generated value when item is undocumented

 -- Xavier MARCELET <xavier@marcelet.com>  Mon, 02 Jul 2018 13:26:17 +0200

coverxygen (1.3.0ppa1~xenial) xenial; urgency=medium

  * strengthen and sanitize code
  * replaces --json option by --format

 -- Xavier MARCELET <xavier@marcelet.com>  Tue, 07 Mar 2017 00:21:55 +0100

coverxygen (1.3.0ppa1~trusty) trusty; urgency=medium

  * strengthen and sanitize code
  * replaces --json option by --format

 -- Xavier MARCELET <xavier@marcelet.com>  Tue, 07 Mar 2017 00:21:33 +0100

coverxygen (1.2.0ppa1~xenial) xenial; urgency=medium

  * compatibility with doxygen strip path

 -- Xavier MARCELET <xavier@marcelet.com>  Sat, 21 Jan 2017 11:10:01 +0100

coverxygen (1.2.0ppa1~trusty) trusty; urgency=medium

  * compatibility with doxygen strip path

 -- Xavier MARCELET <xavier@marcelet.com>  Sat, 21 Jan 2017 11:10:00 +0100

coverxygen (1.1.1ubuntu1~xenialppa1) xenial; urgency=medium

  * fixes script import

 -- Xavier MARCELET <xavier@marcelet.com>  Wed, 28 Dec 2016 00:51:06 +0100

coverxygen (1.1.1ubuntu1~trustyppa1) trusty; urgency=medium

  * fixes script import

 -- Xavier MARCELET <xavier@marcelet.com>  Wed, 28 Dec 2016 00:48:58 +0100

coverxygen (1.1.0ubuntu1~xenialppa2) xenial; urgency=medium

  * debian packages for python2 and python3
  * replaces standalone script by module with entrypoint

 -- Xavier MARCELET <xavier@marcelet.com>  Tue, 27 Dec 2016 22:42:09 +0100

coverxygen (1.1.0ubuntu1~trustyppa2) trusty; urgency=medium

  * debian packages for python2 and python3
  * replaces standalone script by module with entrypoint

 -- Xavier MARCELET <xavier@marcelet.com>  Tue, 27 Dec 2016 22:42:08 +0100

=== debian/control ===
Source: coverxygen
Section: python
Priority: optional
Maintainer: Xavier MARCELET <xavier@marcelet.com>
Standards-Version: 3.9.7
Build-Depends: debhelper (>= 9), python3-all (>= 3.2), python3-setuptools, dh-python
X-Python3-Version: >= 3.2

Package: python3-coverxygen
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Description: Generate doxygen's documentation coverage report
 http://github.com/psycofdj/coverxygen
 .

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile-mode; -*-

#export DH_VERBOSE = 1

%:
	dh $@ --with python3  --buildsystem=pybuild

override_dh_auto_test:

override_dh_auto_clean:
	python3 setup.py clean -a
	find . -name \*.pyc -exec rm {} \;

override_dh_auto_build:
	python3 setup.py build --force

override_dh_auto_install:
	python3 setup.py install --force --root=debian/python3-coverxygen --no-compile -O0
